Bug 841722 - RFE: Image use code to cut and paste
RFE: Image use code to cut and paste
Status: CLOSED CURRENTRELEASE
Product: PressGang CCMS
Classification: Community
Component: Web-UI (Show other bugs)
1.x
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthew Casperson
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-07-19 22:38 EDT by Joshua Wulf
Modified: 2014-10-19 19:01 EDT (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2012-12-03 16:52:26 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Joshua Wulf 2012-07-19 22:38:59 EDT
/ImageFileList.xhtml

(1) After image upload I should be taken to the browse page for the image

(2) The browse page for an image should include the docbook code to use the image. 

For example:
"Cut and paste the following docbook code into your topic to use this image:

	<figure>
		<title>Graphical Representation of a Managed Domain</title>
		<mediaobject>
			<imageobject>
				<imagedata align="center" fileref="images/62.png" width="666px"/>
			</imageobject>
			<textobject><phrase> A managed domain with one domain controller, three host controllers, and three server groups. Servers are members of server groups, and may be located on any of the host controllers in the domain.</phrase>
			</textobject>
		</mediaobject>
	</figure>
Comment 1 Matthew Casperson 2012-12-03 16:52:26 EST
This has been implemented in the new UI.

The new UI also has a selection of docbook templates that allows for images to be easily inserted.

Note You need to log in before you can comment on or make changes to this bug.